/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.horario.DAO;

import java.util.ArrayList;
import pe.siso.horario.Beans.ZonaDistrito;

/**
 *
 * @author sistem02user
 */
public interface ZonaDistritoDAO {
    
    public ArrayList<ZonaDistrito> listarDistritosZonas(int codigoDepartamento, int codigoProvincia, int inicio,int cantidad) throws Exception;
    public int cantidadDistritoZonas(int codigoDepartamento, int codigoProvincia) throws Exception;
    public int registrarAsignacionZonDist(String codigoZona,String codigoDepartemento,String codigoProvincia,String codigoDistrito) throws Exception;
    public int actualizarZonaDistrito(String codDepartamento,String codProvincia,String codigoDistrito,String codigoZona) throws Exception;
    public int actualizarZonaDocentes(String codDepartamento,String codProvincia,String codigoDistrito,String codigoZona) throws Exception;
    public ZonaDistrito consultarZona(String codigoDocente) throws Exception;
}
